﻿Imports System.Data.SqlClient
Imports CercaFeina.business
Public Class DocumentS
    Dim document As Document
#Region "Consultes"
    Public Function getAllCertificatesByUser(user_id As String) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM documents "
            strSql = strSql & "WHERE user_id= '" & user_id & "' "
            strSql = strSql & "AND id_type = 1 "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getAllCurriculumByUser(user_id As String) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM documents "
            strSql = strSql & "WHERE user_id= '" & user_id & "' "
            strSql = strSql & "AND id_type = 2 "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getAllCartesPresenByUser(user_id As String) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM documents "
            strSql = strSql & "WHERE user_id= '" & user_id & "' "
            strSql = strSql & "AND id_type = 3 "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getAllCartesRecoByUser(user_id As String) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM documents "
            strSql = strSql & "WHERE user_id= '" & user_id & "' "
            strSql = strSql & "AND id_type = 4 "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getPath(docu As Integer) As String
        Dim blnRes As Boolean = False
        Dim ds As DataSet
        Dim row As System.Data.DataRow

        Dim bd As New CercarFeinaBD

        Dim strSql As String

        Dim document As Document

        strSql = "SELECT document_path "
        strSql = strSql & "FROM documents WHERE "
        strSql = strSql & "id_document=" & docu

        ds = bd.executarConsultaDS(strSql)
        Try
            ' Carrego les dades de l'usuari validat

            row = ds.Tables(0).Rows(0)

            document = New Document
            document.Path = row.Item(0)
            ' Si tot va correctament el retorno perque
            Return document.Path
        Catch ex As Exception
            Return Nothing
        Finally
            ds = Nothing
        End Try

    End Function
    Public Function getCartaPresenById(id_document As String) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM documents "
            strSql = strSql & "WHERE id_document= '" & id_document & "' "
            strSql = strSql & "AND id_type = 2 "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getCurriculumById(id_document As String) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM documents "
            strSql = strSql & "WHERE id_document= '" & id_document & "' "
            strSql = strSql & "AND id_type = 3 "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getPhotoById(user_id As String) As String
        Dim blnRes As Boolean = False
        Dim ds As DataSet
        Dim row As System.Data.DataRow

        Dim bd As New CercarFeinaBD

        Dim strSql As String

        Dim user As New User

        Try
            strSql = "SELECT id_document "
            strSql = strSql & "FROM documents "
            strSql = strSql & "WHERE user_id= '" & user_id & "' "
            strSql = strSql & "AND id_type = 5 "


            ds = bd.executarConsultaDS(strSql)
            Try
                ' Carrego les dades de l'usuari validat

                row = ds.Tables(0).Rows(0)


                user.Photograph = row.Item(0)
                ' Si tot va correctament el retorno perque
                Return user.Photograph
            Catch ex As Exception
                Return Nothing
            Finally
                ds = Nothing
            End Try

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
#End Region
#Region "Inserccions"
    Public Function insertDocument(document As Document) As Document
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String


        strSql = "INSERT INTO documents(id_type,document_path, user_id, description)  "
        strSql = strSql & "VALUES (" & document.type & ", "
        strSql = strSql & "'" & document.Path.Replace("'", "''") & "', "
        strSql = strSql & "'" & document.UserId.Replace("'", "''") & "', "
        strSql = strSql & "'" & document.Description.Replace("'", "''") & "') "

        blnRes = bd.insertarWithoutID(strSql)

        Return document
    End Function
#End Region
#Region "Eliminacions"
    Public Function deleteDocument(document_Id As Integer) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        ' Elimino el document penjat
        strSql = "DELETE FROM documents WHERE id_document=" & document_Id

        blnRes = bd.delete(strSql)

        Return blnRes
    End Function
#End Region
End Class
