﻿Imports System.Data.SqlClient
Imports CercaFeina.business
Imports System.Web.UI.WebControls
Imports System.Collections.Generic
Imports System.Linq
Imports System.Web
Imports System.Data
Imports System.Configuration

Public Class UserS
#Region "Consultes"
    Public Function getByIdByPwd(usuari As String, contrasenya As String) As User
        Dim blnRes As Boolean = False
        Dim ds As DataSet
        Dim row As System.Data.DataRow

        Dim bd As New CercarFeinaBD

        Dim strSql As String

        Dim user As User

        strSql = "SELECT * "
        strSql = strSql & "FROM users  "
        strSql = strSql & "LEFT JOIN province ON users.city=province.provinceid "
        strSql = strSql & "WHERE user_id='" & usuari & "' "
        If Not (contrasenya = "") Then
            strSql = strSql & "AND user_password='" & contrasenya & "' "
        End If
        strSql = strSql & "AND inactivation_date is Null"

        ds = bd.executarConsultaDS(strSql)
        Try
            ' Carrego les dades de l'usuari validat
            row = ds.Tables(0).Rows(0)

            user = New User
            user.userId = row.Item(0).ToString
            user.Password = row.Item(1).ToString
            user.Name = row.Item(2).ToString
            user.Surnames = row.Item(3).ToString
            user.Address = row.Item(4).ToString
            user.City = row.Item(5)
            user.Email = row.Item(6).ToString
            If Not IsDBNull(row.Item(7)) Then
                user.Phone = row.Item(7)
            End If
            If Not IsDBNull(row.Item(8)) Then
                user.Mobile = row.Item(8)
            End If
            user.Postal_code = row.Item(9).ToString
            user.Marital_status = row.Item(10)
            If Not IsDBNull(row.Item(11)) Then
                user.Photograph = row.Item(11)
            End If
            user.Personal_car = row.Item(12)
            user.Gender = row.Item(13)
            If Not IsDBNull(row.Item(14)) Then
                user.Date_birth = (Convert.ToDateTime(row.Item(14)))
            End If
            user.Activation_date = (Convert.ToDateTime(row.Item(16)))
            user.additionalInformation = row.Item(18).ToString
            user.Province = row.Item(20).ToString
            user.CityName = row.Item(21).ToString
            ds.Dispose()

            ' Si tot va correctament el retorno perque
            Return user
        Catch ex As Exception
            Return Nothing
        Finally
            ds = Nothing
        End Try
    End Function
    Public Function getById(usuari As String) As User
        Dim blnRes As Boolean = False
        Dim ds As DataSet
        Dim row As System.Data.DataRow

        Dim bd As New CercarFeinaBD

        Dim strSql As String

        Dim user As User

        strSql = "SELECT * "
        strSql = strSql & "FROM users WHERE "
        strSql = strSql & "user_id='" & usuari & "' "

        ds = bd.executarConsultaDS(strSql)
        Try
            ' Carrego les dades de l'usuari validat
            row = ds.Tables(0).Rows(0)

            user = New User
            user.userId = row.Item(0)
            user.Name = row.Item(2)
            user.Surnames = row.Item(3)
            
            ds.Dispose()

            ' Si tot va correctament el retorno perque
            Return user
        Catch ex As Exception
            Return Nothing
        Finally
            ds = Nothing
        End Try

    End Function
    Public Function isActive(usuari As String) As Boolean

        Dim dr As SqlDataReader = Nothing
        Dim bd As New CercarFeinaBD
        Dim bln As Boolean = False

        Try
            dr = bd.executarConsultaDR("SELECT * FROM users WHERE user_id='" & usuari & "' AND inactivation_date is Null")
            Return dr.HasRows

        Catch ex As Exception
            Return False
        Finally
            If Not dr.IsClosed Then dr.Close()
            dr = Nothing
        End Try

    End Function
    Public Function getAllCarType(usuari As String) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT user_id,type "
            strSql = strSql & "FROM car_type WHERE "
            strSql = strSql & "user_id='" & usuari & "' "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getAllStudies(usuari As String) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM education as e "
            strSql = strSql & "LEFT JOIN province as p ON e.province = p.ProvinceId  "
            strSql = strSql & "WHERE user_id='" & usuari & "' "
            strSql = strSql & "ORDER BY finish_year DESC "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getAllExperience(usuari As String) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM professional_experiences WHERE "
            strSql = strSql & "user_id='" & usuari & "' "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getAllProvinces() As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT province "
            strSql = strSql & "FROM province "
            strSql = strSql & "GROUP BY province "
            strSql = strSql & "ORDER BY province "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getCitiesByProvince(province As String) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT city "
            strSql = strSql & "FROM province "
            strSql = strSql & "WHERE province='" & province & "' "
            strSql = strSql & "ORDER BY city "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getProvinceIdByCity(city As String) As String
        Dim blnRes As Boolean = False
        Dim ds As DataSet
        Dim row As System.Data.DataRow

        Dim bd As New CercarFeinaBD

        Dim strSql As String

        Dim user As User

        strSql = "SELECT provinceid "
        strSql = strSql & "FROM province WHERE "
        strSql = strSql & "city='" & city & "' "

        ds = bd.executarConsultaDS(strSql)
        Try
            ' Carrego les dades de l'usuari validat

            row = ds.Tables(0).Rows(0)

            user = New User
            user.City = row.Item(0)
            ' Si tot va correctament el retorno perque
            Return user.City
        Catch ex As Exception
            Return Nothing
        Finally
            ds = Nothing
        End Try

    End Function
    Public Function getAllSearches(usuari As String) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM search_user as su "
            strSql = strSql & "LEFT JOIN province as p ON su.province = p.ProvinceId "
            strSql = strSql & "LEFT JOIN category as c ON su.category_id = c.category_id  "
            strSql = strSql & "WHERE user_id='" & usuari & "' "
            strSql = strSql & "ORDER BY search_id "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getSkillsByUser(usuari As String) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM user_skills as us "
            strSql = strSql & "INNER JOIN skills as s ON us.skill_id = s.skill_id   "
            strSql = strSql & "WHERE user_id='" & usuari & "' "
            strSql = strSql & "ORDER BY s.categories "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getSearchById(searchId As Integer) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM search_user as su "
            strSql = strSql & "INNER JOIN province as p ON su.province = p.ProvinceId "
            strSql = strSql & "INNER JOIN category as c ON su.category_id = c.category_id "
            strSql = strSql & "WHERE search_id='" & searchId & "' "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getStudyById(studyId As Integer) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM education as e "
            strSql = strSql & "INNER JOIN province as p ON e.province = p.ProvinceId "
            strSql = strSql & "WHERE id=" & studyId

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getExperienceById(experienceId As Integer) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM professional_experiences "
            strSql = strSql & "WHERE id=" & experienceId

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getSkillsById(skillId As Integer) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM user_skills as us "
            strSql = strSql & "INNER JOIN skills as s ON us.skill_id = s.skill_id "
            strSql = strSql & "WHERE id=" & skillId

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getAllSkills() As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT categories "
            strSql = strSql & "FROM skills "
            strSql = strSql & "GROUP BY categories "
            strSql = strSql & "ORDER BY categories "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getAllSkillsByCategory(category As String) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT description "
            strSql = strSql & "FROM skills "
            strSql = strSql & "where categories= '" & category & "' "
            strSql = strSql & "ORDER BY skill_id "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getCategoryBySkill(skill As String) As String
        Dim blnRes As Boolean = False
        Dim ds As DataSet
        Dim row As System.Data.DataRow

        Dim bd As New CercarFeinaBD

        Dim strSql As String

        Dim user As User

        strSql = "SELECT skill_id "
        strSql = strSql & "FROM skills WHERE "
        strSql = strSql & "description='" & skill & "' "

        ds = bd.executarConsultaDS(strSql)
        Try
            ' Carrego les dades de l'usuari validat

            row = ds.Tables(0).Rows(0)

            user = New User
            user.skill = row.Item(0)
            ' Si tot va correctament el retorno perque
            Return user.skill
        Catch ex As Exception
            Return Nothing
        Finally
            ds = Nothing
        End Try

    End Function
#End Region
#Region "Inserccions"
    Public Function insert(usuari As User) As User
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String


        strSql = "INSERT INTO users(user_id, user_password, name, surnames, email, mobile, activation_date) "
        strSql = strSql & "VALUES ('" & usuari.userId.Replace("'", "''") & "', "
        strSql = strSql & "'" & usuari.Password.Replace("'", "''") & "', "
        strSql = strSql & "'" & usuari.Name.Replace("'", "''") & "', "
        strSql = strSql & "'" & usuari.Surnames.Replace("'", "''") & "', "
        strSql = strSql & "'" & usuari.Email.Replace("'", "''") & "', "
        strSql = strSql & "'" & usuari.Mobile & "', "
        strSql = strSql & "'" & usuari.Activation_date & "') "

        blnRes = bd.insertarWithoutID(strSql)

        Return usuari
    End Function
    Public Function insertCarType(usuari As User) As User
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String


        strSql = "INSERT INTO car_type(user_id, type) "
        strSql = strSql & "VALUES ('" & usuari.userId.Replace("'", "''") & "', "
        strSql = strSql & "'" & usuari.CarType & "') "

        blnRes = bd.insertarWithoutID(strSql)

        Return usuari
    End Function
    Public Function insertSearch(usuari As User, description As String, category As Integer, city As Integer) As User
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String


        strSql = "INSERT INTO search_user(user_id, description, category_id, province) "
        strSql = strSql & "VALUES ('" & usuari.userId.Replace("'", "''") & "', "
        strSql = strSql & "'" & description & "', "
        strSql = strSql & "" & (category + 1) & ", "
        strSql = strSql & "" & city & ") "


        blnRes = bd.insertarWithoutID(strSql)

        Return usuari
    End Function
    Public Function insertStudy(usuari As User, start As Integer, finish As Integer, center As String, title As Boolean, state As Boolean, studies As String, province As Integer) As User
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String


        strSql = "INSERT INTO education(user_id, start_year, finish_year, center, title, state, studies, province) "
        strSql = strSql & "VALUES ('" & usuari.userId.Replace("'", "''") & "', "
        strSql = strSql & "" & start & ", "
        strSql = strSql & "" & finish & ", "
        strSql = strSql & "'" & center & "', "
        If title Then
            strSql = strSql & "1, "
        Else
            strSql = strSql & "0, "
        End If
        If state Then
            strSql = strSql & "0, "
        Else
            strSql = strSql & "1, "
        End If
        strSql = strSql & "'" & studies & "', "
        strSql = strSql & "" & province & ") "


        blnRes = bd.insertarWithoutID(strSql)

        Return usuari
    End Function
    Public Function insertExperience(usuari As User, start As Integer, finish As Integer, company As String, duties As String, description As String, recomendation As Boolean) As User
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String


        strSql = "INSERT INTO professional_experiences(user_id, start_year, finish_year, company, duties, description, recomendation) "
        strSql = strSql & "VALUES ('" & usuari.userId.Replace("'", "''") & "', "
        strSql = strSql & "" & start & ", "
        strSql = strSql & "" & finish & ", "
        strSql = strSql & "'" & company & "', "
        strSql = strSql & "'" & duties & "', "
        strSql = strSql & "'" & description & "', "
        If recomendation Then
            strSql = strSql & "1) "
        Else
            strSql = strSql & "0) "
        End If

        blnRes = bd.insertarWithoutID(strSql)

        Return usuari
    End Function
    Public Function insertSkill(usuari As User, skillId As Integer, level As Integer) As User
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String


        strSql = "INSERT INTO user_skills (user_id, skill_id, level) "
        strSql = strSql & "VALUES ('" & usuari.userId.Replace("'", "''") & "', "
        strSql = strSql & "" & skillId & ", "

        strSql = strSql & "" & level & ") "


        blnRes = bd.insertarWithoutID(strSql)

        Return usuari
    End Function

#End Region
#Region "Eliminacions"
    Public Function delete(usuari As String) As Boolean
        Dim blnRes As Boolean = False
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        strSql = "DELETE FROM car_type WHERE user_id='" & usuari & "'"
        blnRes = bd.delete(strSql)

        Return blnRes
    End Function
    Public Function deleteUser(usuari As User) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        ' Actualitzo les dades
        strSql = "UPDATE users SET "
        strSql = strSql & "inactivation_date = '" & Now & "' "
        strSql = strSql & "WHERE user_id='" & usuari.userId & "'"

        blnRes = bd.update(strSql)

        Return blnRes
    End Function
    Public Function deleteSearch(usuari As Integer) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        ' Actualitzo les dades
        strSql = "DELETE FROM search_user WHERE search_id=" & usuari
        blnRes = bd.delete(strSql)

        Return blnRes
    End Function
    Public Function deleteStudy(studyId As Integer) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        ' Actualitzo les dades
        strSql = "DELETE FROM education WHERE id=" & studyId
        blnRes = bd.delete(strSql)

        Return blnRes
    End Function
    Public Function deleteExperience(experienceId As Integer) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        ' Actualitzo les dades
        strSql = "DELETE FROM professional_experiences WHERE id=" & experienceId
        blnRes = bd.delete(strSql)

        Return blnRes
    End Function
    Public Function deleteSkills(skillsId As Integer) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        ' Actualitzo les dades
        strSql = "DELETE FROM user_skills WHERE id=" & skillsId
        blnRes = bd.delete(strSql)

        Return blnRes
    End Function
#End Region
#Region "Modificacions"
    Public Function update(usuari As User) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String


        ' Actualitzo les dades
        strSql = "UPDATE users SET "
        strSql = strSql & "name = '" & usuari.Name.Replace("'", "''") & "', "
        strSql = strSql & "surnames = '" & usuari.Surnames.Replace("'", "''") & "', "
        strSql = strSql & "address = '" & usuari.Address.Replace("'", "''") & "', "
        strSql = strSql & "city = '" & usuari.City.ToString & "', "
        strSql = strSql & "email = '" & usuari.Email.Replace("'", "''") & "', "
        strSql = strSql & "phone = '" & usuari.Phone.ToString & "', "
        strSql = strSql & "mobile = '" & usuari.Mobile.ToString & "', "
        strSql = strSql & "postal_code = '" & usuari.Postal_code.Replace("'", "''") & "', "
        strSql = strSql & "marital_status = '" & usuari.Marital_status & "', "
        strSql = strSql & "personal_car = '" & usuari.Personal_car.ToString & "', "
        strSql = strSql & "gender = '" & usuari.Gender.ToString & "', "
        strSql = strSql & "date_birth = '" & usuari.Date_birth.ToString & "', "
        strSql = strSql & "info_additional = '" & usuari.additionalInformation.Replace("'", "''") & "' "

        strSql = strSql & "WHERE user_id='" & usuari.userId & "'"

        blnRes = bd.update(strSql)

        Return blnRes
    End Function
    Public Function updatePhoto(usuari As User) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String


        ' Actualitzo les dades
        strSql = "UPDATE users SET "
        strSql = strSql & "photograph = '" & usuari.Photograph.Replace("'", "''") & "' "
        strSql = strSql & "WHERE user_id='" & usuari.userId & "'"

        blnRes = bd.update(strSql)

        Return blnRes
    End Function
    Public Function updatePwd(usuari As User) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        ' Actualitzo les dades
        strSql = "UPDATE users SET "
        strSql = strSql & "user_password = '" & usuari.Password.Replace("'", "''") & "' "
        strSql = strSql & "WHERE user_id='" & usuari.userId & "'"

        blnRes = bd.update(strSql)

        Return blnRes
    End Function
    Public Function updateSearch(usuari As User, description As String, category As Integer, city As Integer, searchId As Integer) As User
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String


        strSql = "UPDATE search_user SET "
        strSql = strSql & "description= '" & description & "', "
        strSql = strSql & "category_id= " & (category + 1) & ", "
        strSql = strSql & "province= " & city & " "
        strSql = strSql & "WHERE search_id= " & searchId

            blnRes = bd.insertarWithoutID(strSql)

            Return usuari
    End Function
    Public Function updateStudy(studyId As Integer, start As Integer, finish As Integer, center As String, title As Boolean, state As Boolean, studies As String, province As Integer) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        strSql = "UPDATE education SET "
        strSql = strSql & "start_year=" & start & ", "
        strSql = strSql & "finish_year=" & finish & ", "
        strSql = strSql & "center='" & center & "', "
        If title Then
            strSql = strSql & "title=1, "
        Else
            strSql = strSql & "title=0, "
        End If
        If state Then
            strSql = strSql & "state=0, "
        Else
            strSql = strSql & "state=1, "
        End If

        strSql = strSql & "studies='" & studies & "', "
        strSql = strSql & "province=" & province & " "
        strSql = strSql & "WHERE id= " & studyId


        blnRes = bd.insertarWithoutID(strSql)

        Return blnRes
    End Function
    Public Function updateExperience(experienceId As Integer, start As Integer, finish As Integer, company As String, duties As String, description As String, recomendation As Boolean) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        strSql = "UPDATE professional_experiences SET "
        strSql = strSql & "start_year=" & start & ", "
        strSql = strSql & "finish_year=" & finish & ", "
        strSql = strSql & "company='" & company & "', "
        strSql = strSql & "duties='" & duties & "', "
        strSql = strSql & "description='" & description & "', "
        If recomendation Then
            strSql = strSql & "recomendation=1 "
        Else
            strSql = strSql & "recomendation=0 "
        End If
        strSql = strSql & "WHERE id= " & experienceId

        blnRes = bd.insertarWithoutID(strSql)

        Return blnRes
    End Function
    Public Function updateSkill(Id As Integer, skill_Id As Integer, level As Integer) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        strSql = "UPDATE user_skills SET "
        strSql = strSql & "skill_id=" & skill_Id & ", "
        strSql = strSql & "level=" & level & " "
        strSql = strSql & "WHERE id= " & Id


        blnRes = bd.insertarWithoutID(strSql)

        Return blnRes
    End Function

#End Region
End Class


