﻿Imports CercaFeina.business
Imports CercaFeina.common
Imports System.Data.SqlClient

Public Class Candidatures
    Inherits System.Web.UI.Page
    Dim usrActual As User
    Dim state As Integer

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        usrActual = Session("usr")
        state = 4
        If IsNothing(usrActual) Then Response.Redirect("~/Blank.aspx")
        If Not IsPostBack Then
            LoadGridCandidature(usrActual, state)
        Else
        End If
    End Sub
    Protected Sub LoadGridCandidature(usrActual As User, state As Integer)
        Dim candidature As New CandidatureF
        Dim dr As SqlDataReader
        Dim fld As BoundField = Nothing

        dr = candidature.getAllCandidatures(usrActual.userId, state)
        ' Carrego les dades al gridview
        grdCandidatures.DataSource = dr
        grdCandidatures.DataBind()
    End Sub

    Protected Sub btnAll_Click(sender As Object, e As EventArgs) Handles btnAll.Click
        state = 4
        LoadGridCandidature(usrActual, state)
    End Sub

    Protected Sub btnPendent_Click(sender As Object, e As EventArgs) Handles btnPendent.Click
        state = 0
        LoadGridCandidature(usrActual, state)
    End Sub

    Protected Sub btnPreSelection_Click(sender As Object, e As EventArgs) Handles btnPreSelection.Click
        state = 2
        LoadGridCandidature(usrActual, state)
    End Sub

    Protected Sub btnDiscard_Click(sender As Object, e As EventArgs) Handles btnDiscard.Click
        state = 1
        LoadGridCandidature(usrActual, state)
    End Sub

    Protected Sub btnSelected_Click(sender As Object, e As EventArgs) Handles btnSelected.Click
        state = 3
        LoadGridCandidature(usrActual, state)
    End Sub
    Private Sub grdCandidatures_RowDataBound(sender As Object, e As System.Web.UI.WebControls.GridViewRowEventArgs) Handles grdCandidatures.RowDataBound
        If e.Row.RowType = DataControlRowType.DataRow Then
            ' Display the company name in italics.
            Select Case e.Row.Cells(4).Text
                Case 0
                    e.Row.Cells(4).Text = "Pendent"
                Case 1
                    e.Row.Cells(4).Text = "Descartat"
                Case 2
                    e.Row.Cells(4).Text = "Preseleccionat"
                Case 3
                    e.Row.Cells(4).Text = "Seleccionat"
            End Select
        End If
    End Sub
End Class