﻿Imports CercaFeina.business
Imports CercaFeina.common
Imports System.Data.SqlClient
Public Class AddExperience
    Inherits System.Web.UI.Page
    Dim usrActual As User

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        usrActual = Session("usr")

        If IsNothing(usrActual) Then Response.Redirect("~/Blank.aspx")
        If Not IsPostBack Then
            If Not IsNothing(Request("idExperience")) Then
                'Modificar una cerca existent
                LoadDataSearch()
                btnSave.Visible = True
                btnAdd.Visible = False
                lblExperienceId.Text = Request("idExperience")
            End If
        End If
    End Sub
    Private Sub LoadDataSearch()
        Dim dr As SqlDataReader
        Dim experience As New UserF

        dr = experience.getExperienceById(Request("idExperience"))
        If dr.HasRows Then
            While dr.Read()
                'Mostrar les dades de la cerca
                txtFrom.Text = dr.Item(2).ToString
                txtTo.Text = dr.Item(3).ToString
                txtCompany.Text = dr.Item(4).ToString
                txtDescription.Text = dr.Item(6).ToString
                txtDuties.Text = dr.Item(5).ToString
                If dr.Item(7) Then
                    chkRecomendation.Checked = True
                Else
                    chkRecomendation.Checked = False
                End If
            End While
            dr.Close()
        End If
    End Sub

    Protected Sub btnAdd_Click(sender As Object, e As EventArgs) Handles btnAdd.Click
        Dim user As New UserF
        user.insertExperience(usrActual, txtFrom.Text, txtTo.Text, txtCompany.Text, txtDuties.Text, txtDescription.Text, chkRecomendation.Checked)
        Response.Redirect("~/2.Users/Curriculum.aspx")
    End Sub

    Protected Sub btnSave_Click(sender As Object, e As EventArgs) Handles btnSave.Click
        Dim user As New UserF
        user.updateExperience(lblExperienceId.Text, txtFrom.Text, txtTo.Text, txtCompany.Text, txtDuties.Text, txtDescription.Text, chkRecomendation.Checked)
        Response.Redirect("~/2.Users/Curriculum.aspx")
    End Sub
End Class