﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/Site.Master" CodeBehind="Regles.aspx.vb" Inherits="CercarFeina.web.Regles" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    
    <br />
    <h1>Regles de Funcionament</h1>
    <hr />

   
<br />1. Las reglas de uso aquí descritas son aplicables a las ofertas y CV publicados en CercaFeina y a la conducta de aquellos que están registrados como usuarios de nuestra web site. Todo usuario (sea empresa y/o centro de formación o candidato y/o alumno) debe estar de acuerdo con estas reglas de uso antes de completar el proceso de registro. 
<br />
<br />2. Los datos requeridos tanto en el alta de empresa y/o centro de formación en la inserción de ofertas y/o cursos, como en el alta de candidatos y/o alumnos en la inserción de CVs deben ser completados con información veraz. 
<br />
<br />3. CercaFeina no puede controlar todas y cada una de las ofertas o cursos de formación publicados, de manera que no puede asumir la responsabilidad sobre los contenidos. De todas maneras, periódicamente se revisan las ofertas y los cursos, así como los CV para asegurar que estas reglas de uso se cumplan. Si observas que algún contenido de CercaFeina es inapropiado o no cumple con estas reglas, no dudes en contactar con nosotros a través del Servicio de atención al cliente. 
<br />
<br />4. Si eres un candidato debes saber que CercaFeina.net no interviene en los procesos de selección. 
<br />
<br />5. Protege tu password. Si otras personas hacen un mal uso de CercaFeina usando tu cuenta corres el riesgo de perder acceso al servicio. Te recomendamos que no uses la misma palabra de usuario para tu password. 
<br />
<br />6. CercaFeina, previo aviso al usuario, se reserva el derecho a bloquear aquellas cuentas que se inscriban en ofertas de forma masiva. 
<br />
<br />7. Si eres una empresa y/o centro de formación y quieres conocer las condiciones de contratación de servicios de pago y de uso de servicios gratuitos, deberás leer las Condiciones de disponibilidad del servicio. 
<br />
<br />8. Los trabajos a ofertar deben ofrecer contratos legalmente válidos. 
<br />CercaFeina no aceptará ofertas: 
<br />
<br />Discriminatorias por razón de raza, sexo, religión, opinión, nacionalidad, discapacidad o cualquier otra circunstancia personal o social. 
<br />Que exijan inversión de dinero por parte del candidato, salvo autorización expresa y por escrito de CercaFeina, S.A. 
<br />De empresas "pirámide" o negocios multinivel (Multi-Level Marketing). 
<br />De oportunidades de negocio. 
<br />Relacionadas con la industria del entretenimiento de adultos u ocio nocturno. 
<br />Inscripción de menores sin la tutela de sus padres o tutor. 
<br />Susceptibles de engaño o que conlleven cualquier ilegalidad de acuerdo con el marco comunitario vigente. 
<br />Esta restricción se aplicará por analogía a los cursos a ofertar por los centros de formación. 
<br />
<br />9. CercaFeina no permite la inserción de ofertas que deterioren la calidad del servicio. Está prohibida la inserción de ofertas: 
<br />
<br />Con datos de contacto en la descripción de la oferta y en el mensaje de respuesta a candidatos: no estará permitido facilitar los datos de contacto de la empresa en este campo. Se consideran datos de contacto, el teléfono, el fax, la dirección y/o el correo electrónico. 
<br />Duplicadas: se entiende por duplicación la inserción de ofertas que ofrecen el mismo puesto, en la misma ciudad y/o en misma o diferente fecha. Para distinguirlas se podrán utilizar referencias siempre y cuando sean ofertas con diferentes categorías profesionales. 
<br />Las ofertas deben referirse a vacantes disponibles en las empresas. No está permitido incluir URLs en las ofertas que redireccionen al usuario a la sección de empleo de la compañía. 
<br />Cada oferta debe corresponder a un solo puesto. A diferentes puestos, habrá que incluir diferentes ofertas. Ej. incorrecto: Oferta 1: Aux. Administrativo/Conserje/Profesora de Inglés Ej. correcto: Oferta 1: Aux. Administrativo Oferta 2: Conserje Oferta 3: Profesora de Inglés. Si para un mismo puesto tienes diferentes vacantes, puedes indicarlo libremente en el campo Vacante de la inserción de oferta. 
<br />Esta restricción se aplicará por analogía a los cursos a ofertar por los centros de formación. 
<br />
<br />10. Toda la información incluida en las ofertas y/p cursos de formación debe ser clara y concisa. Aquellas ofertas o cursos que requieran un posterior contacto por parte del candidato y /o alumno para obtener más información acerca de la empresa o centro de formación o de la oferta y/o curso no están permitidas. Así, las ofertas o los cursos de formación no pueden incluir números de teléfonos de tarificación adicional 800 y/o 900 o cualquier otro tipo de contacto que suponga un coste económico para el candidato y/o alumno. 
<br />
<br />11. Utiliza lenguaje profesional en la redacción de tus ofertas o cursos a ofertar. Recuerda que lo que publicas es un reflejo de la compañía que representas. 
<br />
<br />12. Cualquier empresa o centro que inserte una oferta o un curso de formación que contravenga la legalidad vigente asumirá la responsabilidad exclusiva de los perjuicios y consecuencias derivadas de la misma, eximiendo a CercaFeina de cualquier responsabilidad. 
<br />
<br />13. Las ofertas de trabajo publicadas en CercaFeina son únicamente para uso interno de las empresas con vacantes. No está permitido vender las ofertas de trabajo de CercaFeina a terceras personas. 
<br />
<br />14. CercaFeina no permite la difusión de e-mails comerciales no autorizados. Los usuarios implicados en esta actividad verán suspendidas sus cuentas. 
<br />
<br />15. Si quieres usar el servicio gratuito de CercaFeina, contacta con nosotros a través de nuestro servicio de atención al cliente o si bien quieres informarte sobre nuestros servicios de valor añadido, puedes hacerlo a través del Formulario de Contacto. 
<br />
<br />16. Las empresas y/o centros, ofertas de trabajo o cursos de formación ofertados y CV que violen cualquiera de estas condiciones serán retirados de la web site. La interpretación de las reglas de uso es de competencia exclusiva de CercaFeina. Estas normas pueden ser modificadas en cualquier momento sin necesidad de previo aviso o notificación. 
<br />
<br />
</asp:Content>