﻿Imports System.Data.SqlClient
Imports CercaFeina.server
Imports CercaFeina.business


Public Class UserF
    Dim user As New UserS

    Public Function getByIdByPwd(usuari As String, contrasenya As String) As User
        Return user.getByIdByPwd(usuari, contrasenya)
    End Function
    Public Function getById(usuari As String) As User
        Return user.getById(usuari)
    End Function
    Public Function isActive(usuari As String) As Boolean
        Return user.isActive(usuari)
    End Function
    Public Function insert(usuari As User) As User
        Return user.insert(usuari)
    End Function
    Public Function getAllCarType(usuari As String) As SqlDataReader
        Return user.getAllCarType(usuari)
    End Function
    Public Function getAllProvinces() As SqlDataReader
        Return user.getAllProvinces()
    End Function
    Public Function getCitiesByProvince(province As String) As SqlDataReader
        Return user.getCitiesByProvince(province)
    End Function
    Public Function getProvinceIdByCity(city As String) As String
        Return user.getProvinceIdByCity(city)
    End Function
    Public Function update(usuari As User) As Boolean
        Return user.update(usuari)
    End Function
    Public Function updatePhoto(usuari As User) As Boolean
        Return user.updatePhoto(usuari)
    End Function
    Public Function insertCarType(usuari As User) As User
        Return user.insertCarType(usuari)
    End Function
    Public Function delete(usuari As String) As Boolean
        Return user.delete(usuari)
    End Function
    Public Function getAllStudies(usuari As String) As SqlDataReader
        Return user.getAllStudies(usuari)
    End Function
    Public Function getAllExperience(usuari As String) As SqlDataReader
        Return user.getAllExperience(usuari)
    End Function
    Public Function updatePwd(usuari As User) As Boolean
        Return user.updatePwd(usuari)
    End Function
    Public Function deleteUser(usuari As User) As Boolean
        Return user.deleteUser(usuari)
    End Function
    Public Function getAllSearches(usuari As String) As SqlDataReader
        Return user.getAllSearches(usuari)
    End Function
    Public Function insertSearch(usuari As User, description As String, category As Integer, city As Integer) As User
        Return user.insertSearch(usuari, description, category, city)
    End Function
    Public Function getSkillsByUser(usuari As String) As SqlDataReader
        Return user.getSkillsByUser(usuari)
    End Function
    Public Function getSearchById(searchId As Integer) As SqlDataReader
        Return user.getSearchById(searchId)
    End Function
    Public Function updateSearch(usuari As User, description As String, category As Integer, city As Integer, searchId As Integer) As User
        Return user.updateSearch(usuari, description, category, city, searchId)
    End Function
    Public Function deleteSearch(usuari As Integer) As Boolean
        Return user.deleteSearch(usuari)
    End Function
    Public Function deleteStudy(studyId As Integer) As Boolean
        Return user.deleteStudy(studyId)
    End Function
    Public Function deleteExperience(experienceId As Integer) As Boolean
        Return user.deleteExperience(experienceId)
    End Function
    Public Function deleteSkills(skillId As Integer) As Boolean
        Return user.deleteSkills(skillId)
    End Function
    Public Function getStudyById(studyId As Integer) As SqlDataReader
        Return user.getStudyById(studyId)
    End Function
    Public Function getExperienceById(experienceId As Integer) As SqlDataReader
        Return user.getExperienceById(experienceId)
    End Function
    Public Function getSkillsById(skillId As Integer) As SqlDataReader
        Return user.getSkillsById(skillId)
    End Function
    Public Function insertStudy(usuari As User, start As Integer, finish As Integer, center As String, title As Boolean, state As Boolean, studies As String, province As Integer) As User
        Return user.insertStudy(usuari, start, finish, center, title, state, studies, province)
    End Function
    Public Function insertExperience(usuari As User, start As Integer, finish As Integer, company As String, duties As String, description As String, recomendation As Boolean) As User
        Return user.insertExperience(usuari, start, finish, company, duties, description, recomendation)
    End Function
    Public Function insertSkill(usuari As User, skillId As Integer, level As Integer) As User
        Return user.insertSkill(usuari, skillId, level)
    End Function
    Public Function updateStudy(studyId As Integer, start As Integer, finish As Integer, center As String, title As Boolean, state As Boolean, studies As String, province As Integer) As Boolean
        Return user.updateStudy(studyId, start, finish, center, title, state, studies, province)
    End Function
    Public Function updateExperience(experienceId As Integer, start As Integer, finish As Integer, company As String, duties As String, description As String, recomendation As Boolean) As Boolean
        Return user.updateExperience(experienceId, start, finish, company, duties, description, recomendation)
    End Function
    Public Function updateSkill(id As Integer, skillId As Integer, level As Integer) As Boolean
        Return user.updateSkill(id, skillId, level)
    End Function
    Public Function getAllSkills() As SqlDataReader
        Return user.getAllSkills()
    End Function
    Public Function getAllSkillsByCategory(categoryId As String) As SqlDataReader
        Return user.getAllSkillsByCategory(categoryId)
    End Function
    Public Function getCategoryBySkill(skill As String) As String
        Return user.getCategoryBySkill(skill)
    End Function
End Class