﻿Imports System.Data.SqlClient
Imports CercaFeina.business

Public Class CandidatureS
    Dim candidat As Candidature
#Region "Consultes"
    Public Function getAllCandidatures(usuari As String, state As Integer) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM candidatures as c "
            strSql = strSql & "INNER JOIN jobs as j ON c.job_id = j.job_id "
            strSql = strSql & "INNER JOIN company as co ON j.company_id  = co.company_id "
            strSql = strSql & "INNER JOIN province as p ON j.province  = p.ProvinceId "
            strSql = strSql & "WHERE user_id='" & usuari & "' "
            If Not (state = 4) Then
                strSql = strSql & "AND state='" & state & "' "
            End If
            strSql = strSql & "ORDER BY c.activation_Date DESC "
            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function existCandidature(usuari As String, job As Integer) As Boolean

        Dim dr As SqlDataReader = Nothing
        Dim bd As New CercarFeinaBD
        Dim bln As Boolean = False

        Try
            dr = bd.executarConsultaDR("SELECT * FROM candidatures WHERE user_id='" & usuari & "' AND job_id='" & job & "'")
            Return dr.HasRows

        Catch ex As Exception
            Return False
        Finally
            If Not dr.IsClosed Then dr.Close()
            dr = Nothing
        End Try

    End Function
    Public Function getCandidaturesByJob(job As Integer, state As Integer) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM candidatures as c "
            strSql = strSql & "INNER JOIN users as u on c.user_id = u.user_id "
            strSql = strSql & "WHERE job_id = " & job & ""
            If Not (state = 4) Then
                strSql = strSql & "AND state='" & state & "' "
            End If
            strSql = strSql & "ORDER BY u.activation_date DESC"

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getCandidatureByUserByJob(usuari As String, job As Integer) As Candidature
        Dim blnRes As Boolean = False
        Dim ds As DataSet
        Dim row As System.Data.DataRow

        Dim bd As New CercarFeinaBD

        Dim strSql As String

        Dim candi As Candidature

        strSql = "SELECT * "
        strSql = strSql & "FROM candidatures  "
        strSql = strSql & "WHERE user_id='" & usuari & "' "
        strSql = strSql & "AND job_id=" & job & " "


        ds = bd.executarConsultaDS(strSql)
        Try
            ' Carrego les dades de l'usuari validat
            row = ds.Tables(0).Rows(0)

            candi = New Candidature
            candi.CandidatureId = row.Item(0)
            candi.JobId = row.Item(1)
            candi.UserId = row.Item(2)
            candi.State = row.Item(3)
            candi.Additional_Information = row.Item(4)
            'candi.CV_read_date = row.Item(5)
            candi.Activation_date = row.Item(9)
            'candi.Inactivation_date = row.Item(9)
            candi.Letter = row.Item(6)
            candi.Curriculum = row.Item(7)

            ds.Dispose()

            ' Si tot va correctament el retorno perque
            Return candi
        Catch ex As Exception
            Return Nothing
        Finally
            ds = Nothing
        End Try
    End Function
#End Region
#Region "Inserccions"
    Public Function insertCandidature(candidat As Candidature, letter As String, curriculum As String) As Candidature
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        strSql = "INSERT INTO candidatures(job_id, user_id, state, additional_information, activation_date, letter, curriculum) "
        strSql = strSql & "VALUES ('" & candidat.JobId & "', "
        strSql = strSql & "'" & candidat.UserId & "', "
        strSql = strSql & "'" & candidat.State & "', "
        strSql = strSql & "'" & candidat.Additional_Information.Replace("'", "''") & "', "
        strSql = strSql & "'" & candidat.Activation_date & "', "
        strSql = strSql & "'" & curriculum & "', "
        strSql = strSql & "'" & letter & "') "

        blnRes = bd.insertarWithoutID(strSql)

        Return candidat
    End Function
#End Region
#Region "Modificacions"
    Public Function updateCVView(candidature As Integer) As Candidature
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        strSql = "UPDATE candidatures "
        strSql = strSql & "SET cv_read_date= GETDATE() "
        strSql = strSql & "WHERE candidature_id = " & candidature

        blnRes = bd.insertarWithoutID(strSql)

        Return candidat
    End Function
    Public Function updateStateCandidature(candidature As Integer, state As Integer) As Candidature
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        strSql = "UPDATE candidatures "
        strSql = strSql & "SET state=" & state & " "
        strSql = strSql & "WHERE candidature_id = " & candidature

        blnRes = bd.insertarWithoutID(strSql)

        Return candidat
    End Function
    Public Function updateDateCandidature(candidature As Integer) As Candidature
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        strSql = "UPDATE candidatures "
        strSql = strSql & "SET inactivation_date= GETDATE() "
        strSql = strSql & "WHERE candidature_id = " & candidature

        blnRes = bd.insertarWithoutID(strSql)

        Return candidat
    End Function
#End Region

End Class
