﻿Imports System.Data.SqlClient
Imports CercaFeina.business

Public Class CompanyS
    
#Region "Consultes"

    Public Function getByIdByPwd(usuari As String, contrasenya As String) As Company
        Dim blnRes As Boolean = False
        Dim ds As DataSet
        Dim row As System.Data.DataRow

        Dim bd As New CercarFeinaBD

        Dim strSql As String

        Dim user As Company

        strSql = "SELECT * "
        strSql = strSql & "FROM company "
        strSql = strSql & "LEFT JOIN province ON company.province=province.provinceid "
        strSql = strSql & "WHERE company_id='" & usuari & "' AND "
        strSql = strSql & "company_password='" & contrasenya & "' "
        strSql = strSql & "AND inactivation_date is Null"

        ds = bd.executarConsultaDS(strSql)
        Try
            ' Carrego les dades de l'usuari validat
            row = ds.Tables(0).Rows(0)

            user = New Company
            user.CompanyId = row.Item(0)
            user.Password = row.Item(1)
            user.CompanyName = row.Item(2)
            user.Description = row.Item(3).ToString
            user.Employees = row.Item(4)
            user.ContactName = row.Item(5).ToString
            user.Email = row.Item(6).ToString
            user.Web = row.Item(7).ToString
            user.Phone = row.Item(8)
            user.Address = row.Item(9).ToString
            user.Postal_code = row.Item(10).ToString
            user.City = row.Item(11)
            user.Ett = row.Item(12)
            user.Activation_date = row.Item(14)
            If Not IsDBNull(row.Item(16)) Then
                user.Logo = row.Item(16)
            End If
            user.Province = row.Item(18).ToString
            user.CityName = row.Item(19).ToString

            ds.Dispose()

            ' Si tot va correctament el retorno perque
            Return user
        Catch ex As Exception
            Return Nothing
        Finally
            ds = Nothing
        End Try

    End Function
    Public Function getById(usuari As String) As Company
        Dim blnRes As Boolean = False
        Dim ds As DataSet
        Dim row As System.Data.DataRow

        Dim bd As New CercarFeinaBD

        Dim strSql As String

        Dim user As Company

        strSql = "SELECT company_id, inactivation_date, activation_date,logo "
        strSql = strSql & "FROM company WHERE "
        strSql = strSql & "company_id='" & usuari & "' "

        ds = bd.executarConsultaDS(strSql)
        Try
            ' Carrego les dades de l'usuari validat
            row = ds.Tables(0).Rows(0)

            user = New Company
            user.CompanyId = row.Item(0)
            If (IsDBNull(row.Item(1))) Then
                user.Inactivation_date = row.Item(2)
            Else
                user.Inactivation_date = row.Item(1)
            End If
            If Not IsDBNull(row.Item(3)) Then
                user.Logo = row.Item(3)
            End If
            ds.Dispose()

            ' Si tot va correctament el retorno perque
            Return user
        Catch ex As Exception
            Return Nothing
        Finally
            ds = Nothing
        End Try

    End Function
    Public Function isActive(usuari As String) As Boolean

        Dim dr As SqlDataReader = Nothing
        Dim bd As New CercarFeinaBD
        Dim bln As Boolean = False

        Try
            dr = bd.executarConsultaDR("SELECT * FROM company WHERE company_id='" & usuari & "' AND inactivation_date is Null")
            Return dr.HasRows

        Catch ex As Exception
            Return False
        Finally
            If Not dr.IsClosed Then dr.Close()
            dr = Nothing
        End Try

    End Function
    Public Function getAllSearches(usuari As String) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM search_company as sc "
            strSql = strSql & "INNER JOIN province as p ON sc.province = p.ProvinceId "
            strSql = strSql & "WHERE company_id='" & usuari & "' "
            strSql = strSql & "ORDER BY search_id "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getSearchById(searchId As Integer) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM search_company as sc "
            strSql = strSql & "INNER JOIN province as p ON sc.province = p.ProvinceId "
            strSql = strSql & "WHERE search_id='" & searchId & "' "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
#End Region
#Region "Inserccions"
    Public Function insert(usuari As Company) As Company
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String


        strSql = "INSERT INTO company(company_id, company_password, company_name, email, phone, activation_date) "
        strSql = strSql & "VALUES ('" & usuari.CompanyId.Replace("'", "''") & "', "
        strSql = strSql & "'" & usuari.Password.Replace("'", "''") & "', "
        strSql = strSql & "'" & usuari.CompanyName.Replace("'", "''") & "', "
        strSql = strSql & "'" & usuari.Email.Replace("'", "''") & "', "
        strSql = strSql & "'" & usuari.Phone & "', "
        strSql = strSql & "'" & usuari.Activation_date & "') "

        blnRes = bd.insertarWithoutID(strSql)

        Return usuari
    End Function
    Public Function insertSearch(usuari As Company, description As String, gender As Integer, maritalStatus As Integer, city As Integer) As Company
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String


        strSql = "INSERT INTO search_company(company_id, description, gender, province, marital_status) "
        strSql = strSql & "VALUES ('" & usuari.CompanyId.Replace("'", "''") & "', "
        strSql = strSql & "'" & description & "' "
        If gender <> 2 Then
            strSql = strSql & "," & gender & " "
        Else
            strSql = strSql & ", null "
        End If
        strSql = strSql & "," & city & " "
        If maritalStatus <> 4 Then
            strSql = strSql & "," & maritalStatus & ") "
        Else
            strSql = strSql & ", null) "
        End If
        blnRes = bd.insertarWithoutID(strSql)

        Return usuari
    End Function
#End Region
#Region "Modificacions"
    Public Function update(usuari As Company) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String


        ' Actualitzo les dades
        strSql = "UPDATE company SET "
        strSql = strSql & "company_name = '" & usuari.CompanyName.Replace("'", "''") & "', "
        strSql = strSql & "descripcion = '" & usuari.Description.Replace("'", "''") & "', "
        strSql = strSql & "employees = " & usuari.Employees.ToString & ", "
        strSql = strSql & "contact_name = '" & usuari.ContactName.Replace("'", "''") & "', "
        strSql = strSql & "email = '" & usuari.Email.Replace("'", "''") & "', "
        strSql = strSql & "web = '" & usuari.Web.Replace("'", "''") & "', "
        strSql = strSql & "phone = " & usuari.Phone.ToString & ", "
        strSql = strSql & "address = '" & usuari.Address.Replace("'", "''") & "', "
        strSql = strSql & "postal_code = '" & usuari.Postal_code.Replace("'", "''") & "', "
        strSql = strSql & "province = " & usuari.City.ToString & ", "
        strSql = strSql & "ett = '" & usuari.Ett.ToString & "' "
        strSql = strSql & "WHERE company_id='" & usuari.CompanyId & "'"

        blnRes = bd.update(strSql)

        Return blnRes
    End Function
    Public Function updatePwd(usuari As Company) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        ' Actualitzo les dades
        strSql = "UPDATE company SET "
        strSql = strSql & "company_password = '" & usuari.Password.Replace("'", "''") & "' "
        strSql = strSql & "WHERE company_id='" & usuari.CompanyId & "'"

        blnRes = bd.update(strSql)

        Return blnRes
    End Function
    Public Function activateCompany(usuari As Company) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        ' Actualitzo les dades
        strSql = "UPDATE company SET "
        strSql = strSql & "inactivation_date = Null "
        strSql = strSql & "WHERE company_id='" & usuari.CompanyId & "'"

        blnRes = bd.update(strSql)

        Return blnRes
    End Function
    Public Function updateSearch(usuari As Company, description As String, gender As Integer, maritalStatus As Integer, city As Integer, searchId As Integer) As Company
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String


        strSql = "UPDATE search_company SET "
        strSql = strSql & "description= '" & description & "' "
        If gender <> 2 Then
            strSql = strSql & ", gender= " & gender & " "
        Else
            strSql = strSql & ", gender=null "
        End If
        strSql = strSql & ", province= " & city & " "
        If maritalStatus <> 4 Then
            strSql = strSql & ", marital_status=" & maritalStatus
        Else
            strSql = strSql & ", marital_status= null "
        End If
        strSql = strSql & " WHERE search_id= " & searchId


        blnRes = bd.insertarWithoutID(strSql)

        Return usuari
    End Function
    Public Function updatePhoto(usuari As Company) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String


        ' Actualitzo les dades
        strSql = "UPDATE company SET "
        strSql = strSql & "logo = '" & usuari.Logo.Replace("'", "''") & "' "
        strSql = strSql & "WHERE company_id='" & usuari.CompanyId & "'"

        blnRes = bd.update(strSql)

        Return blnRes
    End Function
#End Region
#Region "Eliminacions"
    Public Function deleteUser(usuari As Company) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        ' Actualitzo les dades
        strSql = "UPDATE company SET "
        strSql = strSql & "inactivation_date = '" & Now & "' "
        strSql = strSql & "WHERE company_id='" & usuari.CompanyId & "'"

        blnRes = bd.update(strSql)

        Return blnRes
    End Function
    Public Function deleteSearch(usuari As Integer) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        ' Actualitzo les dades
        strSql = "DELETE FROM search_company WHERE search_id=" & usuari
        blnRes = bd.delete(strSql)

        Return blnRes
    End Function

#End Region
End Class
