﻿Imports System.Data.SqlClient
Imports CercaFeina.business

Public Class JobS
    Dim job As Job
#Region "Consultes"
    Public Function getAllJobs(province As String, category As String, keyWord As String) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT j.job_id, j.job_name, j.company_id, co.company_name, j.description, j.vacancy, con.description , j.salary, j.bonus,  "
            strSql = strSql & "p.City, p.province, j.minimum_education, j.desired_requeriments, j.minimum_requeriments, j.minimum_experience, j.working_day,  "
            strSql = strSql & "c.ca_description, j.activation_date, j.inactivation_date, co.descripcion "
            strSql = strSql & "FROM jobs as j "
            strSql = strSql & "INNER JOIN category as c ON j.category_id = c.category_id "
            strSql = strSql & "INNER JOIN province as p ON j.province  = p.ProvinceId "
            strSql = strSql & "INNER JOIN company as co ON j.company_id  = co.company_id "
            strSql = strSql & "LEFT JOIN contract as con ON j.contract_id  = con.contract_id "
            strSql = strSql & "WHERE j.inactivation_date is Null "
            If Not (province = "Sense especificar") Then
                strSql = strSql & "AND p.Province = '" & province & "'"
            End If
            If Not (category = "") Then
                strSql = strSql & "AND c.ca_description = '" & category & "'"
            End If
            If Not (keyWord = "") Then
                strSql = strSql & "AND (j.description LIKE '%" & keyWord & "%' "
                strSql = strSql & "OR job_name LIKE '%" & keyWord & "%') "
            End If
            strSql = strSql & "ORDER BY j.activation_date "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getJobById(jobId As Integer) As Job
        Dim blnRes As Boolean = False
        Dim ds As DataSet
        Dim row As System.Data.DataRow

        Dim bd As New CercarFeinaBD

        Dim strSql As String

        Dim job As Job


        strSql = "SELECT j.job_id, j.job_name, j.company_id, co.company_name, j.description, j.vacancy, j.contract_id , j.salary, j.bonus,  "
        strSql = strSql & "j.province, p.province, j.minimum_education, j.desired_requeriments, j.minimum_requeriments, j.minimum_experience, j.working_day,  "
        strSql = strSql & "j.category_id, j.activation_date, j.inactivation_date, co.descripcion, p.city, p.province, c.ca_description "
        strSql = strSql & "FROM jobs as j "
        strSql = strSql & "LEFT JOIN category as c ON j.category_id = c.category_id "
        strSql = strSql & "INNER JOIN province as p ON j.province  = p.ProvinceId "
        strSql = strSql & "INNER JOIN company as co ON j.company_id  = co.company_id "
        strSql = strSql & "LEFT JOIN contract as con ON j.contract_id  = con.contract_id "
        strSql = strSql & "WHERE j.inactivation_date is Null "
        strSql = strSql & "AND j.job_id= '" & jobId & "'"
        ds = bd.executarConsultaDS(strSql)
        Try

            row = ds.Tables(0).Rows(0)

            job = New Job
            job.JobId = row.Item(0)
            job.JobName = row.Item(1)
            job.Company = row.Item(2)
            job.CompanyName = row.Item(3)
            job.Description = row.Item(4)
            job.Vacancy = row.Item(5)
            job.ContractId = row.Item(6)
            job.Salary = row.Item(7)
            job.Bonus = row.Item(8)
            job.City = row.Item(9)
            job.Minimum_education = row.Item(11)
            job.Desired_requeriments = row.Item(12)
            job.Minimum_requeriments = row.Item(13)
            job.Minimum_experience = row.Item(14)
            job.WorkingDay = row.Item(15)
            job.CategoryId = row.Item(16)
            job.Activation_date = (Convert.ToDateTime(row.Item(17)))
            job.DescriptionCompany = row.Item(19)
            job.Province = row.Item(21)
            job.CityName = row.Item(20)

            ds.Dispose()

            Return job
        Catch ex As Exception
            Return Nothing
        Finally
            ds = Nothing
        End Try
    End Function
    Public Function getAllCategories() As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT ca_description "
            strSql = strSql & "FROM category "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getAllContract() As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT description "
            strSql = strSql & "FROM contract "

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getCountCandidaturesByJob(jobId As Integer) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT COUNT(*)"
            strSql = strSql & "FROM candidatures "
            strSql = strSql & "WHERE job_id= " & jobId & ""

            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
    Public Function getJobsByCompany(company As String, state As Integer) As SqlDataReader
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        Try
            strSql = "SELECT * "
            strSql = strSql & "FROM jobs "
            strSql = strSql & "INNER JOIN province ON jobs.province = provinceid "
            strSql = strSql & "WHERE company_id= '" & company & "'"
            If (state = 0) Then
                strSql = strSql & "AND inactivation_date is Null "
            ElseIf (state = 1) Then
                strSql = strSql & "AND inactivation_date is Not Null "
            End If
            strSql = strSql & "ORDER BY activation_date DESC"


            Return bd.executarConsultaDR(strSql)

        Catch ex As Exception
            Throw New System.Exception("Error en la captura de dades: " & ex.ToString())
        End Try

    End Function
#End Region
#Region "Modificacions"
    Public Function updateDateJob(jobId As Integer) As Job
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        strSql = "UPDATE jobs "
        strSql = strSql & "SET inactivation_date= GETDATE() "
        strSql = strSql & "WHERE job_id = " & jobId

        blnRes = bd.insertarWithoutID(strSql)

        Return job
    End Function
    Public Function discardCandidatures(jobId As Integer) As Job
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        strSql = "UPDATE candidatures "
        strSql = strSql & "SET state=1, "
        strSql = strSql & "inactivation_date= GETDATE() "
        strSql = strSql & "WHERE job_id = " & jobId & " "
        strSql = strSql & "AND (state = 0 "
        strSql = strSql & "OR state = 2) "

        blnRes = bd.insertarWithoutID(strSql)

        Return job
    End Function
    Public Function updateJob(jobId As Job) As Job
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        strSql = "UPDATE jobs "
        strSql = strSql & "SET job_name='" & jobId.JobName.Replace("'", "''") & "', "
        strSql = strSql & "description='" & jobId.Description.Replace("'", "''") & "', "
        strSql = strSql & "vacancy=" & jobId.Vacancy & " , "
        strSql = strSql & "contract_id=" & jobId.ContractId & " , "
        strSql = strSql & "salary='" & jobId.Salary.Replace("'", "''") & "', "
        strSql = strSql & "bonus='" & jobId.Bonus.Replace("'", "''") & "', "
        strSql = strSql & "province=" & jobId.City & " , "
        strSql = strSql & "minimum_requeriments='" & jobId.Minimum_requeriments.Replace("'", "''") & "', "
        strSql = strSql & "desired_requeriments='" & jobId.Desired_requeriments.Replace("'", "''") & "', "
        strSql = strSql & "minimum_experience='" & jobId.Minimum_experience.Replace("'", "''") & "', "
        strSql = strSql & "minimum_education='" & jobId.Minimum_education.Replace("'", "''") & "', "
        strSql = strSql & "working_day='" & jobId.WorkingDay.Replace("'", "''") & "', "
        strSql = strSql & "category_id=" & jobId.CategoryId & "  "
        strSql = strSql & "WHERE job_id = " & jobId.JobId & " "

        blnRes = bd.insertarWithoutID(strSql)

        Return job
    End Function
#End Region
#Region "Inserccions"
    Public Function insertJob(jobId As Job) As Job
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String


        strSql = "INSERT INTO jobs(company_id,job_name, description, vacancy, contract_id, salary, bonus, province,  "
        strSql = strSql & "minimum_requeriments, desired_requeriments, minimum_experience, minimum_education , working_day, "
        strSql = strSql & "category_id, activation_date)"
        strSql = strSql & "VALUES ('" & jobId.Company.Replace("'", "''") & "', "
        strSql = strSql & "'" & jobId.JobName.Replace("'", "''") & "', "
        strSql = strSql & "'" & jobId.Description.Replace("'", "''") & "', "
        strSql = strSql & "" & jobId.Vacancy & ", "
        strSql = strSql & "" & jobId.ContractId & ", "
        strSql = strSql & "'" & jobId.Salary.Replace("'", "''") & "', "
        strSql = strSql & "'" & jobId.Bonus.Replace("'", "''") & "', "
        strSql = strSql & "" & jobId.City & ", "
        strSql = strSql & "'" & jobId.Minimum_requeriments.Replace("'", "''") & "', "
        strSql = strSql & "'" & jobId.Desired_requeriments.Replace("'", "''") & "', "
        strSql = strSql & "'" & jobId.Minimum_experience.Replace("'", "''") & "', "
        strSql = strSql & "'" & jobId.Minimum_education.Replace("'", "''") & "', "
        strSql = strSql & "'" & jobId.WorkingDay.Replace("'", "''") & "', "
        strSql = strSql & "" & jobId.CategoryId & ", "
        strSql = strSql & "'" & jobId.Activation_date & "') "

        blnRes = bd.insertarWithoutID(strSql)

        Return job
    End Function
#End Region
#Region "Eliminacions"
    Public Function deleteJob(job_Id As Integer) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        ' Elimino l'oferta de treball seleccionada
        strSql = "DELETE FROM jobs WHERE job_id=" & job_Id
        blnRes = bd.delete(strSql)

        Return blnRes
    End Function
    Public Function deleteCandidaturesByJob(job_Id As Integer) As Boolean
        Dim blnRes As Boolean
        Dim bd As New CercarFeinaBD
        Dim strSql As String

        ' Elimino les candidatures existents de l'oferta de treball
        strSql = "DELETE FROM candidatures WHERE job_id=" & job_Id
        blnRes = bd.delete(strSql)

        Return blnRes
    End Function  
#End Region
End Class



