﻿Imports System.Data.SqlClient
Imports CercaFeina.common
Imports CercaFeina.business

Public Class LoginCompany
    Inherits System.Web.UI.Page
    Dim empresa As New CompanyF
    Dim userE As Company

    Protected Sub btnOk_Click(sender As Object, e As EventArgs) Handles btnInitial.Click

        userE = empresa.getByIdByPwd(txtUserValidation.Text.ToString(), txtPwd.Text.ToString())
        If Not IsNothing(userE) Then
            Session.Add("usr", userE)
            Response.Redirect("~/3.Companies/PersonalSpace.aspx?idUsuari=" & txtUserValidation.Text)
        Else
            Response.Redirect("LoginError.aspx")
        End If
    End Sub

    Protected Sub btnRegister_Click(sender As Object, e As EventArgs) Handles btnRegister.Click
        userE = empresa.getById(txtUserRegister.Text.ToString())
        'Usuario no existe en la base de datos, mostrar pantalla de registrar
        If IsNothing(userE) Then
            Response.Redirect("RegisterCompany.aspx?identificador=" & txtUserRegister.Text)

        Else
            'Verificar si esta activo
            If empresa.isActive(txtUserRegister.Text.ToString()) Then
                'Usuario activo
                MsgBox("L'usuari " & userE.CompanyId & " ja existeix i está actiu al sistema. Heu d'iniciar sessión")
                txtUserValidation.Text = txtUserRegister.Text
                txtUserRegister.Text = ""
                txtPwd.Focus()
            Else
                'Si esta inactivo, mostrar pantalla de registro
                If MsgBox("L'usuari " & userE.CompanyId & " existeix al sistema, pero esta inactiu. Vols activar-lo?", MsgBoxStyle.YesNo) Then
                    empresa.activationCompany(userE)
                    txtUserValidation.Text = txtUserRegister.Text
                    txtUserRegister.Text = ""
                    txtPwd.Focus()
                End If
            End If
        End If
    End Sub
End Class


