﻿Imports CercaFeina.business
Imports CercaFeina.common
Imports System.Data.SqlClient

Public Class DefaultJobs
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            LoadCmbProvinces()
            LoadCmbCategories()
            LoadGridJobs()
        End If
    End Sub
    Protected Sub LoadGridJobs()
        Dim job As New JobF
        Dim dr As SqlDataReader
        Dim fld As BoundField = Nothing

        dr = job.getAllJobs(cmbProvince.Text, cmbCategory.Text, txtKeyWord.Text)
        ' Carrego les dades al gridview
        grdJobs.DataSource = dr
        grdJobs.DataBind()
    End Sub
    Protected Sub LoadCmbProvinces()
        Dim usuari As New UserF
        Dim dr As SqlDataReader
        'Carregar la combo de ciutat segons la provincia seleccionada
        cmbProvince.Items.Clear()
        dr = usuari.getAllProvinces
        If dr.HasRows Then
            While dr.Read()
                cmbProvince.Items.Add(dr.Item(0))
            End While
            dr.Close()
        End If
        cmbProvince.SelectedValue = "Sense especificar"
    End Sub
    Protected Sub LoadCmbCategories()
        Dim job As New JobF
        Dim dr As SqlDataReader
        'Carregar la combo de ciutat segons la provincia seleccionada
        cmbCategory.Items.Clear()
        dr = job.getAllCategories
        cmbCategory.Items.Clear()
        If dr.HasRows Then
            While dr.Read()
                cmbCategory.Items.Add(dr.Item(0))
            End While
            dr.Close()
        End If
    End Sub

    Protected Sub btnCercar_Click(sender As Object, e As EventArgs) Handles btnCercar.Click
        LoadGridJobs()
    End Sub


    Private Sub grdJobs_RowCommand(sender As Object, e As System.Web.UI.WebControls.GridViewCommandEventArgs) Handles grdJobs.RowCommand
        Select Case e.CommandName
            Case "Ver"
                Response.Redirect("~/1.Jobs/PageJob.aspx?idJob=" & Convert.ToInt32(e.CommandArgument))
        End Select
    End Sub

 

End Class