﻿Imports CercaFeina.business
Imports CercaFeina.common
Imports System.Data.SqlClient
Public Class RegisterJob
    Inherits System.Web.UI.Page

    Dim jobActual As Job
    Dim usrActual As User
    Dim job As New JobF
    

    Private Sub PageJob_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        usrActual = Session("usr")
        ' Carrego les dades de la oferta de treball seleccionada
        If IsNothing(Request("idJob")) Then Response.Redirect("~/Blank.aspx")
        If Not IsPostBack Then
            jobActual = job.getJobById(Request("idJob"))
            LoadJob()
            LoadGridCartesPresen(usrActual)
            LoadGridCurriculum(usrActual)
        End If
    End Sub

    Protected Sub LoadJob()

        lblJobId.Text = jobActual.JobId
        lblJobName.Text = jobActual.JobName
        txtData.Text = jobActual.Activation_date
        txtCompanyName.Text = jobActual.CompanyName
        txtDescription.Text = jobActual.DescriptionCompany

    End Sub
    Protected Sub LoadGridCartesPresen(usrActual As User)
        Dim docu As New DocumentF
        Dim dr As SqlDataReader

        dr = docu.getAllCartesPresenByUser(usrActual.userId)
        ' Carrego les dades al gridview
        grdCartesPresen.DataSource = dr
        grdCartesPresen.DataBind()
    End Sub
    Protected Sub LoadGridCurriculum(usrActual As User)
        Dim docu As New DocumentF
        Dim dr As SqlDataReader

        dr = docu.getAllCurriculumByUser(usrActual.userId)
        ' Carrego les dades al gridview
        grdCurriculums.DataSource = dr
        grdCurriculums.DataBind()
    End Sub
    Protected Sub btnAdditionalInformation_Click(sender As Object, e As EventArgs) Handles btnAdditionalInformation.Click
        If txtDescription.Visible = False Then
            'Mostrar el text de Informació addicional
            txtDescription.Visible = True
        Else
            'Ocultar el text de Informació addicional
            txtDescription.Visible = False
        End If
    End Sub

    Protected Sub btnRegister_Click(sender As Object, e As EventArgs) Handles btnRegister.Click
        Dim candidat As New CandidatureF
        Dim candidatC As New Candidature
        Dim candidatE As Candidature

        'Es verifica si la candidatura ja existeix
        If Not candidat.existCandidature(usrActual.userId, lblJobId.Text) Then
            'Si no es aixi, es crea
            candidatC.JobId = lblJobId.Text.ToString
            candidatC.UserId = usrActual.userId
            'state=0 es estat= pendent
            candidatC.State = 0
            candidatC.Additional_Information = txtAdditionalComments.Text.ToString
            candidatC.Activation_date = Now
            candidatE = candidat.insertCandidature(candidatC, lblLetterSelected.text, lblCurriculumSelected.text)
            Response.Redirect("~/1.Jobs/CandidatureOk.aspx")
        Else
            Response.Redirect("~/1.Jobs/CandidatureError.aspx")
        End If
    End Sub

    Private Sub grdCartesPresen_RowCommand(sender As Object, e As System.Web.UI.WebControls.GridViewCommandEventArgs) Handles grdCartesPresen.RowCommand
        Select Case e.CommandName
            Case "Seleccionar"
                lblLetterSelected.text = (e.CommandArgument)

        End Select
    End Sub

  
    Private Sub grdCurriculums_RowCommand(sender As Object, e As System.Web.UI.WebControls.GridViewCommandEventArgs) Handles grdCurriculums.RowCommand
        Select Case e.CommandName
            Case "Seleccionar"
                lblCurriculumSelected.text = (e.CommandArgument)

        End Select
    End Sub
End Class