﻿Imports CercaFeina.business
Imports CercaFeina.common
Imports System.Data.SqlClient
Imports System.IO
Public Class AddDocuments
    Inherits System.Web.UI.Page
    Dim usrActual As User
    Dim documentE As New Document

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        usrActual = Session("usr")

        If IsNothing(usrActual) Then Response.Redirect("~/Blank.aspx")
    End Sub
    Protected Sub btnImage_Click(sender As Object, e As EventArgs) Handles btnAdd.Click
        lblMessage.Text = ""
        ' Before attempting to save the file, verify
        ' that the FileUpload control contains a file.
        If (FileUpload1.HasFile) Then
            ' Call a helper method routine to save the file.
            SaveFile(FileUpload1.PostedFile)
        Else
            ' Notify the user that a file was not uploaded.
            lblMessage.Text = "No ha especificat cap document."
        End If
    End Sub


    Sub SaveFile(ByVal file As HttpPostedFile)
        Dim docu As New DocumentF

        'Verificar si existeix les carpetes
        If Not (Directory.Exists(Server.MapPath("~/4.Upload/" & usrActual.userId & "/"))) Then
            Directory.CreateDirectory(Server.MapPath("~/4.Upload/" & usrActual.userId & "/"))
        End If
        ' Specify the path to save the uploaded file to.
        Dim savePath As String = Server.MapPath("~/4.Upload/" & usrActual.userId & "/")


        ' Get the name of the file to upload.
        Dim fileName As String = FileUpload1.FileName

        ' Create the path and file name to check for duplicates.
        Dim pathToCheck As String = savePath + fileName

        ' Create a temporary file name to use for checking duplicates.
        Dim tempfileName As String = ""

        ' Check to see if a file already exists with the
        ' same name as the file to upload.        
        If (System.IO.File.Exists(pathToCheck)) Then
            Dim counter As Integer = 2
            While (System.IO.File.Exists(pathToCheck))
                ' If a file with this name already exists,
                ' prefix the filename with a number.
                tempfileName = counter.ToString() + fileName
                pathToCheck = savePath + tempfileName
                counter = counter + 1
            End While


            fileName = tempfileName

            ' Notify the user that the file name was changed.
            lblMessage.Text = "El nom de document ja existeix." + "<br />" + _
                                     "El teu document s'ha guardat com a " + fileName

        Else

            ' Notify the user that the file was saved successfully.
            lblMessage.Text = "El teu document s'ha guardat correctament."

        End If

        ' Append the name of the file to upload to the path.
        savePath += fileName

        ' Call the SaveAs method to save the uploaded
        ' file to the specified directory.
        FileUpload1.SaveAs(savePath)


        documentE.Description = fileName
        If rdCartesPresen.Checked Then
            documentE.type = Document.enType.Cartes_de_presentacio
        ElseIf rdCertificates.Checked Then
            documentE.type = Document.enType.Certificats
        ElseIf rdCurriculum.Checked Then
            documentE.type = Document.enType.Curriculums
        ElseIf rdCartesReco.Checked Then
            documentE.type = Document.enType.Cartes_de_recomanacio
        End If

        documentE.UserId = usrActual.userId
        documentE.Path = savePath
        docu.insert(documentE)


    End Sub
    Protected Sub btnGoBack_Click(sender As Object, e As EventArgs) Handles btnGoBack.Click
        Response.Redirect("~/2.Users/Curriculum.aspx")
    End Sub


End Class
