﻿Imports CercaFeina.business
Imports CercaFeina.common
Imports System.Data.SqlClient
Public Class AddSearchUser
    Inherits System.Web.UI.Page
    Dim usrActual As User
   
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        usrActual = Session("usr")

        If IsNothing(usrActual) Then Response.Redirect("~/Blank.aspx")
        If Not IsPostBack Then
            LoadProvinces()
            LoadCategories()
            If Not IsNothing(Request("idSearch")) Then
                'Modificar una cerca existent
                LoadDataSearch()
                btnSave.Visible = True
                btnAdd.Visible = False
            End If
        End If
    End Sub
    Private Sub LoadDataSearch()
        Dim dr As SqlDataReader
        Dim search As New UserF

        dr = search.getSearchById(Request("idSearch"))
        If dr.HasRows Then
            While dr.Read()
                'Mostrar les dades de la cerca
                lblSearchId.Text = dr.Item(0)
                txtDescription.Text = dr.Item(2)
                cmbCategory.SelectedValue = dr.Item(9)
                txtCity.Text = dr.Item(4)
                
                cmbProvince.SelectedValue = dr.Item(6)
                cmbProvince_SelectedIndexChanged(Nothing, Nothing)
                cmbCity.SelectedValue = dr.Item(7)
            End While
            dr.Close()
        End If
    End Sub
    Protected Sub LoadProvinces()
        Dim usuari As New UserF
        Dim dr As SqlDataReader
        'Carregar la combo de ciutat segons la provincia seleccionada
        cmbProvince.Items.Clear()
        dr = usuari.getAllProvinces
        If dr.HasRows Then
            While dr.Read()
                cmbProvince.Items.Add(dr.Item(0))
            End While
            dr.Close()
        End If
        cmbProvince.SelectedValue = "Sense especificar"
        'Carregar la combo de ciutat segons la provincia seleccionada
        cmbCity.Items.Clear()
        dr = usuari.getCitiesByProvince(cmbProvince.Text)
        If dr.HasRows Then
            While dr.Read()
                cmbCity.Items.Add(dr.Item(0))
            End While
            dr.Close()
        End If
        txtCity.Text = 0
    End Sub
    Protected Sub LoadCategories()
        Dim job As New JobF
        Dim dr As SqlDataReader
        'Carregar la combo de ciutat segons la provincia seleccionada
        cmbCategory.Items.Clear()
        dr = job.getAllCategories
        cmbCategory.Items.Clear()
        If dr.HasRows Then
            While dr.Read()
                cmbCategory.Items.Add(dr.Item(0))
            End While
            dr.Close()
        End If
    End Sub
    Protected Sub cmbProvince_SelectedIndexChanged(sender As Object, e As EventArgs) Handles cmbProvince.SelectedIndexChanged
        Dim usuari As New UserF
        Dim dr As SqlDataReader
        'Carregar la combo de ciutat segons la provincia seleccionada
        cmbCity.Items.Clear()
        dr = usuari.getCitiesByProvince(cmbProvince.Text)
        If dr.HasRows Then
            While dr.Read()
                cmbCity.Items.Add(dr.Item(0))
            End While
            dr.Close()
        End If
    End Sub

    Protected Sub btnAdd_Click(sender As Object, e As EventArgs) Handles btnAdd.Click
        Dim user As New UserF
        txtCity.Text = user.getProvinceIdByCity(cmbCity.Text.ToString)
        user.insertSearch(usrActual, txtDescription.Text, cmbCategory.SelectedIndex, txtCity.Text)
        Response.Redirect("~/2.Users/Searches.aspx")
    End Sub

    Protected Sub btnSave_Click(sender As Object, e As EventArgs) Handles btnSave.Click
        Dim user As New UserF
        txtCity.Text = user.getProvinceIdByCity(cmbCity.Text.ToString)
        user.updateSearch(usrActual, txtDescription.Text, cmbCategory.SelectedIndex, txtCity.Text, Convert.ToInt32(lblSearchId.Text))
        Response.Redirect("~/2.Users/Searches.aspx")
    End Sub
End Class