﻿Imports CercaFeina.business
Imports CercaFeina.common
Imports System.Data.SqlClient

Public Class AddSkills
    Inherits System.Web.UI.Page
    Dim usrActual As User

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        usrActual = Session("usr")

        If IsNothing(usrActual) Then Response.Redirect("~/Blank.aspx")
        If Not IsPostBack Then
            LoadSkills()
            If Not IsNothing(Request("idSkill")) Then
                'Modificar una cerca existent
                LoadDataSearch()
                btnSave.Visible = True
                btnAdd.Visible = False
                lblSkillId.Text = Request("idSkill")
            End If
        End If
    End Sub
    Private Sub LoadDataSearch()
        Dim dr As SqlDataReader
        Dim study As New UserF

        dr = study.getSkillsById(Request("idSkill"))
        If dr.HasRows Then
            While dr.Read()
                'Mostrar les dades de la cerca
                txtSkill.Text = dr.Item(2)
                cmbCategorySkill.SelectedValue = dr.Item(5)
                cmbCategorySkill_SelectedIndexChanged(Nothing, Nothing)
                cmbSkill.SelectedValue = dr.Item(6)
                cmbLevel.SelectedIndex = dr.Item(3)
            End While
            dr.Close()
        End If
    End Sub
    Protected Sub LoadSkills()
        Dim usuari As New UserF
        Dim dr As SqlDataReader
        'Carregar la combo de ciutat segons la provincia seleccionada
        cmbCategorySkill.Items.Clear()
        dr = usuari.getAllSkills
        If dr.HasRows Then
            While dr.Read()
                cmbCategorySkill.Items.Add(dr.Item(0))
            End While
            dr.Close()
        End If
        cmbSkill.Items.Clear()
        dr = usuari.getAllSkillsByCategory(cmbCategorySkill.Text)
        If dr.HasRows Then
            While dr.Read()
                cmbSkill.Items.Add(dr.Item(0))
            End While
            dr.Close()
        End If
    End Sub

    Private Sub cmbCategorySkill_SelectedIndexChanged(sender As Object, e As EventArgs) Handles cmbCategorySkill.SelectedIndexChanged
        Dim usuari As New UserF
        Dim dr As SqlDataReader
        'Carregar la combo de ciutat segons la provincia seleccionada
        cmbSkill.Items.Clear()
        dr = usuari.getAllSkillsByCategory(cmbCategorySkill.Text)
        If dr.HasRows Then
            While dr.Read()
                cmbSkill.Items.Add(dr.Item(0))
            End While
            dr.Close()
        End If
        
    End Sub

    Protected Sub btnAdd_Click(sender As Object, e As EventArgs) Handles btnAdd.Click
        Dim user As New UserF
        txtSkill.Text = user.getCategoryBySkill(cmbSkill.Text.ToString)
        user.insertSkill(usrActual, txtSkill.Text, cmbLevel.SelectedIndex)
        Response.Redirect("~/2.Users/Curriculum.aspx")
    End Sub

    Protected Sub btnSave_Click(sender As Object, e As EventArgs) Handles btnSave.Click
        Dim user As New UserF
        txtSkill.Text = user.getCategoryBySkill(cmbSkill.Text.ToString)
        user.updateSkill(lblSkillId.Text, txtSkill.Text, cmbLevel.SelectedIndex)
        Response.Redirect("~/2.Users/Curriculum.aspx")
    End Sub
End Class