﻿Imports CercaFeina.business
Imports CercaFeina.common
Imports System.Data.SqlClient
Public Class AddStudy
    Inherits System.Web.UI.Page
    Dim usrActual As User
    Dim usuari As New UserF

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        usrActual = Session("usr")

        If IsNothing(usrActual) Then Response.Redirect("~/Blank.aspx")
        If Not IsPostBack Then
            LoadProvinces()
            If Not IsNothing(Request("idStudy")) Then
                'Modificar una cerca existent
                LoadDataSearch()
                btnSave.Visible = True
                btnAdd.Visible = False
                lblStudyId.Text = Request("idStudy")
            End If
        End If
    End Sub
    Private Sub LoadDataSearch()
        Dim dr As SqlDataReader
        Dim study As New UserF

        dr = study.getStudyById(Request("idStudy"))
        If dr.HasRows Then
            While dr.Read()
                'Mostrar les dades de la cerca
                txtFrom.Text = dr.Item(2).ToString
                txtTo.Text = dr.Item(3).ToString
                txtCenter.Text = dr.Item(4).ToString
                If dr.Item(5) Then
                    chkTitle.Checked = True
                Else
                    chkTitle.Checked = False
                End If
                If dr.Item(6) Then
                    cmbState.SelectedIndex = 0
                Else
                    cmbState.SelectedIndex = 1
                End If
                txtStudies.Text = dr.Item(7).ToString
                txtCity.Text = dr.Item(8)
                cmbProvince.SelectedValue = dr.Item(10)
                cmbProvince_SelectedIndexChanged(Nothing, Nothing)
                cmbCity.SelectedValue = dr.Item(11)
            End While
            dr.Close()
        End If
    End Sub
    Protected Sub LoadProvinces()
        Dim usuari As New UserF
        Dim dr As SqlDataReader
        'Carregar la combo de ciutat segons la provincia seleccionada
        cmbProvince.Items.Clear()
        dr = usuari.getAllProvinces
        If dr.HasRows Then
            While dr.Read()
                cmbProvince.Items.Add(dr.Item(0))
            End While
            dr.Close()
        End If
        cmbProvince.SelectedValue = "Sense especificar"
        'Carregar la combo de ciutat segons la provincia seleccionada
        cmbCity.Items.Clear()
        dr = usuari.getCitiesByProvince(cmbProvince.Text)
        If dr.HasRows Then
            While dr.Read()
                cmbCity.Items.Add(dr.Item(0))
            End While
            dr.Close()
        End If
        txtCity.Text = 0
    End Sub

    Private Sub cmbProvince_SelectedIndexChanged(sender As Object, e As EventArgs) Handles cmbProvince.SelectedIndexChanged
        Dim usuari As New UserF
        Dim dr As SqlDataReader
        'Carregar la combo de ciutat segons la provincia seleccionada
        cmbCity.Items.Clear()
        dr = usuari.getCitiesByProvince(cmbProvince.Text)
        If dr.HasRows Then
            While dr.Read()
                cmbCity.Items.Add(dr.Item(0))
            End While
            dr.Close()
        End If
    End Sub
    Protected Sub btnAdd_Click(sender As Object, e As EventArgs) Handles btnAdd.Click
        Dim user As New UserF
        txtCity.Text = usuari.getProvinceIdByCity(cmbCity.Text.ToString)
        user.insertStudy(usrActual, txtFrom.Text, txtTo.Text, txtCenter.Text, chkTitle.Checked, cmbState.SelectedIndex, txtStudies.Text, txtCity.Text)
        Response.Redirect("~/2.Users/Curriculum.aspx")
    End Sub

    Protected Sub btnSave_Click(sender As Object, e As EventArgs) Handles btnSave.Click
        Dim user As New UserF
        txtCity.Text = usuari.getProvinceIdByCity(cmbCity.Text.ToString)
        user.updateStudy(lblStudyId.Text, txtFrom.Text, txtTo.Text, txtCenter.Text, chkTitle.Checked, cmbState.SelectedIndex, txtStudies.Text, txtCity.Text)
        Response.Redirect("~/2.Users/Curriculum.aspx")
    End Sub
End Class