﻿Imports CercaFeina.business
Imports CercaFeina.common
Imports System.Data.SqlClient
Public Class PersonalSearch
    Inherits System.Web.UI.Page
    Dim usrActual As Company

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        usrActual = Session("usr")

        If IsNothing(usrActual) Then Response.Redirect("~/Blank.aspx")
        If Not IsPostBack Then
            BindData()
        End If
    End Sub
    Private Sub BindData()
        Dim user As New CompanyF

        grdSearches.DataSource = user.getAllSearches(usrActual.CompanyId)
        grdSearches.DataBind()
    End Sub
    Private Sub grdSearches_RowDataBound(sender As Object, e As System.Web.UI.WebControls.GridViewRowEventArgs) Handles grdSearches.RowDataBound
        If e.Row.RowType = DataControlRowType.DataRow Then
            Select Case e.Row.Cells(4).Text
                Case False
                    e.Row.Cells(4).Text = "Home"
                Case True
                    e.Row.Cells(4).Text = "Dona"
                Case "&nbsp;"
                    e.Row.Cells(4).Text = "-"
            End Select
            Select Case e.Row.Cells(6).Text
                Case 0
                    e.Row.Cells(6).Text = "Solter/a"
                Case 1
                    e.Row.Cells(6).Text = "Casat"
                Case 2
                    e.Row.Cells(6).Text = "Divorciat"
                Case 3
                    e.Row.Cells(6).Text = "Vidu"
                Case "&nbsp;"
                    e.Row.Cells(6).Text = "-"
            End Select

        End If
    End Sub
    Private Sub grdSearches_RowCommand(sender As Object, e As System.Web.UI.WebControls.GridViewCommandEventArgs) Handles grdSearches.RowCommand
        Dim company As New CompanyF
        Dim idSearch As Integer
        Select Case e.CommandName
            Case "Editar"
                Response.Redirect("~/3.Companies/SubPantalles/AddSearch.aspx?idSearch=" & Convert.ToInt32(e.CommandArgument))
            Case "Eliminar"
                'Elimino la cerca seleccionada
                idSearch = System.Convert.ToInt32(e.CommandArgument)
                company.deleteSearch(idSearch)
                'Cargo de nuevo los datos en pantalla
                BindData()
        End Select
    End Sub

    Protected Sub btnAdd_Click(sender As Object, e As EventArgs) Handles btnAdd.Click
        Response.Redirect("~/3.Companies/SubPantalles/AddSearch.aspx")
    End Sub
End Class