﻿Imports CercaFeina.business
Imports CercaFeina.common
Imports System.Data.SqlClient
Public Class AddSearch
    Inherits System.Web.UI.Page
    Dim usrActual As Company
    Dim usuariAct As User
    Dim usuari As New UserF

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        usrActual = Session("usr")

        If IsNothing(usrActual) Then Response.Redirect("~/Blank.aspx")
        If Not IsPostBack Then
            LoadProvinces()
            cmbMaritalStatus.SelectedValue = "Sense especificar"
            cmbSexe.SelectedValue = "Tots"
            If Not IsNothing(Request("idSearch")) Then
                'Modificar una cerca existent
                LoadDataSearch()
                btnSave.Visible = True
                btnAdd.Visible = False
            End If
        End If
    End Sub
    Private Sub LoadDataSearch()
        Dim dr As SqlDataReader
        Dim search As New CompanyF

        dr = search.getSearchById(Request("idSearch"))
        If dr.HasRows Then
            While dr.Read()
                'Mostrar les dades de la cerca
                lblSearchId.Text = dr.Item(0).ToString
                txtDescription.Text = dr.Item(2).ToString
                If (dr.Item(3) Is DBNull.Value) Then
                    cmbSexe.SelectedIndex = 2
                ElseIf dr.Item(3) = True Then
                    cmbSexe.SelectedIndex = 1
                Else
                    cmbSexe.SelectedIndex = 0
                End If

                txtCity.Text = dr.Item(4)
                If (dr.Item(5) Is DBNull.Value) Then
                    cmbMaritalStatus.Text = 4
                Else
                    cmbMaritalStatus.SelectedIndex = dr.Item(5)
                End If
                
                cmbProvince.SelectedValue = dr.Item(7)
                cmbProvince_SelectedIndexChanged(Nothing, Nothing)
                cmbCity.SelectedValue = dr.Item(8)
            End While
            dr.Close()
        End If
    End Sub
    Protected Sub LoadProvinces()
        Dim usuari As New UserF
        Dim dr As SqlDataReader
        'Carregar la combo de ciutat segons la provincia seleccionada
        cmbProvince.Items.Clear()
        dr = usuari.getAllProvinces
        If dr.HasRows Then
            While dr.Read()
                cmbProvince.Items.Add(dr.Item(0))
            End While
            dr.Close()
        End If
        cmbProvince.SelectedValue = "Sense especificar"
        'Carregar la combo de ciutat segons la provincia seleccionada
        cmbCity.Items.Clear()
        dr = usuari.getCitiesByProvince(cmbProvince.Text)
        If dr.HasRows Then
            While dr.Read()
                cmbCity.Items.Add(dr.Item(0))
            End While
            dr.Close()
        End If
        txtCity.Text = 0
    End Sub

    Private Sub cmbProvince_SelectedIndexChanged(sender As Object, e As EventArgs) Handles cmbProvince.SelectedIndexChanged
        Dim usuari As New UserF
        Dim dr As SqlDataReader
        'Carregar la combo de ciutat segons la provincia seleccionada
        cmbCity.Items.Clear()
        dr = usuari.getCitiesByProvince(cmbProvince.Text)
        If dr.HasRows Then
            While dr.Read()
                cmbCity.Items.Add(dr.Item(0))
            End While
            dr.Close()
        End If
    End Sub
    Protected Sub btnAdd_Click(sender As Object, e As EventArgs) Handles btnAdd.Click
        Dim user As New CompanyF
        txtCity.Text = usuari.getProvinceIdByCity(cmbCity.Text.ToString)
        user.insertSearch(usrActual, txtDescription.Text, cmbSexe.SelectedIndex, cmbMaritalStatus.SelectedIndex, txtCity.Text)
        Response.Redirect("~/3.Companies/PersonalSearch.aspx")
    End Sub

    Protected Sub btnSave_Click(sender As Object, e As EventArgs) Handles btnSave.Click
        Dim user As New CompanyF
        txtCity.Text = usuari.getProvinceIdByCity(cmbCity.Text.ToString)
        user.updateSearch(usrActual, txtDescription.Text, cmbSexe.SelectedIndex, cmbMaritalStatus.SelectedIndex, txtCity.Text, Convert.ToInt32(lblSearchId.Text))
        Response.Redirect("~/3.Companies/PersonalSearch.aspx")
    End Sub
End Class